I have a Power Mac G-4 733mhz and have os 10.4.11, will it take the upgrade to snow leopard?

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    Unfortunately, no.

    Snow Leopard must have an Intel-based Mac.

    You have a PowerPC-based Mac.

    Was this useful? Answer 1

    2 of 2 people found this useful

  • No it will not, because you need an Intel - based Mac in order to run Snow Leopard. Also, to run snow leopard you need to have at least Mac OS X 10.5 (Leopard).

    Was this useful? Answer 2

    1 of 1 people found this useful

Related Questions